<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
    <title><?php echo $__env->yieldContent("title"); ?></title>
    <link rel="icon" href="<?php echo e(asset('presc.png')); ?>">
    <link href="https://fonts.googleapis.com/css?family=Slabo+27px" rel="stylesheet">
    <link rel="stylesheet" href="<?php echo e(asset('js/jquery-ui/jquery-ui.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('js/jquery-ui/jquery-ui.theme.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('bootstrap/css/bootstrap.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('css/style.css')); ?>">
    <script type="text/javascript" src="<?php echo e(asset('bootstrap/js.js')); ?>"></script>
    <script type="text/javascript" src="<?php echo e(asset('js/jquery-ui/jquery-ui.min.js')); ?>"></script>
    <script type="text/javascript" src="<?php echo e(asset('bootstrap/js/bootstrap.bundle.min.js')); ?>"></script>
    <script type="text/javascript" src="<?php echo e(asset('js/js_barcode.min.js')); ?>"></script>
    <script type="text/javascript" src="<?php echo e(asset('js/validate.js')); ?>"></script>
    <script type="text/javascript" src="<?php echo e(asset('js/script.js')); ?>"></script>
    <script type="text/javascript" src="<?php echo e(asset('js/patients.js')); ?>"></script>
    <script type="text/javascript" src="<?php echo e(asset('js/diagnoses.js')); ?>"></script>
    <script type="text/javascript" src="<?php echo e(asset('js/xrays.js')); ?>"></script>
    <script type="text/javascript" src="<?php echo e(asset('js/visits.js')); ?>"></script>
    <script type="text/javascript" src="<?php echo e(asset('js/users.js')); ?>"></script>
    <script type="text/javascript" src="<?php echo e(asset('js/drugs.js')); ?>"></script>
  </head>
  <body class="site">
    <nav class="navbar navbar-dark bg-home">
      <a href="<?php if(auth()->guard()->check()): ?><?php echo e(route('home')); ?><?php endif; ?>" class="navbar-brand">
        <img src="<?php echo e(asset('presc.png')); ?>" id="logo" alt="">
        Gad Dental Clinics
      </a>
      <?php if(auth()->guard()->check()): ?>
      <div id="show-menu-div">
        <a href="#" id="show-menu-link">
          <span class="glyphicon glyphicon-th"></span>
          
        </a>
      </div>
      <div id="show-menu-sm-div">
        <a href="#" id="show-menu-sm-link">
          <span class="glyphicon glyphicon-th"></span>
        </a>
      </div>
      <div id="menu-div">
        <div id="control-menu">
          <div class="control-menu-items row">
            <?php if(auth()->user()->role==1||auth()->user()->role==2): ?>
            <div class="col-12 col-sm-6 col-md-4 col-lg-3 mb-3">
            <?php else: ?>
            <div class="col-12 col-sm-6 col-md-4 col-lg-4 mb-3">
            <?php endif; ?>
              <h4>Patients</h4>
              <ul class="nav flex-column">
                <li class="nav-item">
                  <a href="<?php echo e(route('allPatient')); ?>" class="control-menu-item">All Patients</a>
                </li>
                <?php if(auth()->user()->role==1||auth()->user()->role==2): ?>
                <li class="nav-item">
                  <a href="<?php echo e(route('allPayments')); ?>" class="control-menu-item">All Payments</a>
                </li>
                <?php endif; ?>
                <li class="nav-item">
                  <a href="<?php echo e(route('addPatient')); ?>" class="control-menu-item">Create Patient</a>
                </li>
              </ul>
              <h4 class="mt-3">Medicine</h4>
              <ul class="nav flex-column">
                <li class="nav-item">
                  <a href="<?php echo e(route('showAllSystemDrugs')); ?>" class="control-menu-item">Medicines on system</a><br>
                </li>
                <li class="nav-item">
                  <a href="<?php echo e(route('addSystemDrug')); ?>" class="control-menu-item">Create medicine</a>
                </li>
              </ul>
            </div>
            <?php if(auth()->user()->role==1||auth()->user()->role==2): ?>
            <div class="col-12 col-sm-6 col-md-4 col-lg-3 mb-3">
            <?php else: ?>
            <div class="col-12 col-sm-6 col-md-4 col-lg-4 mb-3">
            <?php endif; ?>
              <h4>Visits</h4>
              <ul class="nav flex-column">
                <li class="nav-item">
                  <a href="<?php echo e(route('allAppointment',['date'=>date('Y-m-d')])); ?>" class="control-menu-item">All Todays Visits</a><br>
                </li>
                <li class="nav-item">
                  <a href="<?php echo e(route('allAppointment',['date'=>date('Y-m-d',strtotime('+1 day'))])); ?>" class="control-menu-item">All Tomorrow Visits</a>
                </li>
                <li class="nav-item">
                  <a href="<?php echo e(route('allAppointment',['date'=>date('Y-m-d',strtotime('-1 day'))])); ?>" class="control-menu-item">All Yesterday Visits</a>
                </li>
              </ul>
            </div>
            <?php if(auth()->user()->role==1||auth()->user()->role==2): ?>
            <div class="col-12 col-sm-6 col-md-4 col-lg-3 mb-3">
            <?php else: ?>
            <div class="col-12 col-sm-6 col-md-4 col-lg-4 mb-3">
            <?php endif; ?>
              <h4>Working Times</h4>
              <ul class="nav flex-column">
                <li class="nav-item">
                  <a href="<?php echo e(route('addWorkingTime')); ?>" class="control-menu-item">Add Working Time</a>
                </li>
                <li class="nav-item">
                  <a href="<?php echo e(route('allWorkingTime')); ?>" class="control-menu-item">Working Times</a>
                </li>
              </ul>
              <?php if(auth()->user()->role==1||auth()->user()->role==2): ?>
              <h4 class="mt-3"><img src="<?php echo e(asset('recycle.ico')); ?>" width='23px' height="23px" alt="">Recycle Bin</h4>
              <ul class="nav flex-column">
                <li class="nav-item">
                  <a href="<?php echo e(route('allDeletedPatients')); ?>" class="control-menu-item">Deleted Patients</a>
                </li>
                <li class="nav-item">
                  <a href="<?php echo e(route('allDeletedDiagnoses')); ?>" class="control-menu-item">Deleted Diagnosis</a>
                </li>
                <li class="nav-item">
                  <a href="<?php echo e(route('allDeletedAppointments')); ?>" class="control-menu-item">Deleted Visits</a>
                </li>
                <li class="nav-item">
                  <a href="<?php echo e(route('allDeletedUsers')); ?>" class="control-menu-item">Deleted Users</a>
                </li>
                <li class="nav-item">
                  <a href="<?php echo e(route('allDeletedTeeth')); ?>" class="control-menu-item">Deleted Teeth</a>
                </li>
                <li class="nav-item">
                  <a href="<?php echo e(route('allDeletedDrugs')); ?>" class="control-menu-item">Deleted Drugs</a>
                </li>
                <li class="nav-item">
                  <a href="<?php echo e(route('allDeletedWorkingTimes')); ?>" class="control-menu-item">Deleted Working Times</a>
                </li>
              </ul>
              <?php endif; ?>
            </div>
            <?php if(auth()->user()->role==1||auth()->user()->role==2): ?>
            <div class="col-12 col-sm-6 col-md-4 col-lg-3 mb-3">
              <h4>Admin Controls</h4>
              <ul class="nav flex-column">
                <li class="nav-item">
                  <a href="<?php echo e(route('allUser')); ?>" class="control-menu-item">All Users</a><br>
                </li>
                <li class="nav-item">
                  <a href="<?php echo e(route('createUser')); ?>" class="control-menu-item">Create New User</a><br>
                </li>
                <li class="nav-item">
                  <a href="<?php echo e(route('allTableLogs',['table'=>'users'])); ?>" class="control-menu-item">All Logs on Users</a><br>
                </li>
                <li class="nav-item">
                  <a href="<?php echo e(route('allTableLogs',['table'=>'patients'])); ?>" class="control-menu-item">All Logs on Patients</a><br>
                </li>
                <li class="nav-item">
                  <a href="<?php echo e(route('allTableLogs',['table'=>'diagnoses'])); ?>" class="control-menu-item">All Logs on Diagnosis</a><br>
                </li>
                <li class="nav-item">
                  <a href="<?php echo e(route('allTableLogs',['table'=>'appointments'])); ?>" class="control-menu-item">All Logs on Visits</a><br>
                </li>
                <li class="nav-item">
                  <a href="<?php echo e(route('allTableLogs',['table'=>'oral_radiologies'])); ?>" class="control-menu-item">All Logs on X-rays</a><br>
                </li>
                <li class="nav-item">
                  <a href="<?php echo e(route('allTableLogs',['table'=>'drugs'])); ?>" class="control-menu-item">All Logs on Medications</a><br>
                </li>
                <li class="nav-item">
                  <a href="<?php echo e(route('allLogs')); ?>" class="control-menu-item">All Logs</a><br>
                </li>
              </ul>
            </div>
            <?php endif; ?>
          </div>
        </div>
      </div>
      <div id="search-form-div">
        
        <?php if(Storage::disk('local')->exists(auth()->user()->photo)): ?>
          <img src="<?php echo e(Storage::url(auth()->user()->photo)); ?>" alt="" id="admin_profile_img">
        <?php else: ?>
          <img src="<?php echo e(asset('dentist.png')); ?>" alt="" id="admin_profile_img">
        <?php endif; ?>
      </div>
      <div class="arrow-up"></div>
      <div class="user_list">
        <a href="<?php echo e(route("showUser",["id"=>auth()->user()->id])); ?>" class="user_list_item">
          account <img src="<?php echo e(asset('account.png')); ?>" style="border-radius:8px" width="25px" height="25px" alt="">
        </a>
        <a href="<?php echo e(route('changePassword')); ?>" class="user_list_item">
          change password <span class="glyphicon glyphicon-lock"></span>
        </a>
        <a href="<?php echo e(route('logout')); ?>" class="user_list_item" id="logout">
          logout <span class="glyphicon glyphicon-log-out"></span>
        </a>
      </div>
      <div id="logout-modal" class="modal fade" tabindex="-1" role="dialog">
        <div class="modal-dialog" role="document">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title">Logout</h5>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body">
              <p>Are you sure that you want to logout?</p>
            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-secondary" data-dismiss="modal">no</button>
              <a href="<?php echo e(route('logout')); ?>" class="btn btn-primary">yes</a>
            </div>
          </div>
        </div>
      </div>
      <?php endif; ?>
    </nav>
    <?php if(auth()->guard()->check()): ?>
    <div class="container">
      <form id="search-form" action="<?php echo e(route('searchPatient')); ?>" method="post" class="">
        <input id="search-input" class="form-control" name="patient" type="search" placeholder="Search patient..." aria-label="Search" style="padding-right:30px">
        <button id="search" type="submit">
          <span class="glyphicon glyphicon-search"></span>
        </button>
        <?php echo csrf_field(); ?>
      </form>
    </div>
    <?php endif; ?>
    <div class="container-fluid site-content">
      <?php echo $__env->yieldContent('container'); ?>
    </div>
    <footer class="footer row">
        <div class="col-12 col-sm-5">
          <address>Copyright © 2018 Ahmed Abdelgawad</address>
        </div>
        <div class="col-12 col-sm-2">
          <address>
            <a href="https://www.linkedin.com/in/ahmed-abdelgawad-547727168/"><img src="<?php echo e(asset('linkedin.png')); ?>" alt=""></a>
            <a href="https://plus.google.com/u/0/114830546087341606740" class="ml-3"><img src="<?php echo e(asset('google.png')); ?>" width="30px" height="30px" alt=""></a>
          </address>
        </div>
        <div class="col-12 col-sm-5">
          <address><a href="#" style="color:#b2b2d2;text-decoration:none;" id="copy_email" data-toggle="tooltip" data-placement="top" title="Click to copy">ahmed.elkayaty92@gmail.com</a><br>
            <a href="http://www.ahmedelkayaty92.de" target="_blank" style="color:#b2b2d2;text-decoration:none;">www.ahmedelkayaty92.de</a>
          </address>
        </div>
    </footer>
  </body>
</html>
