<?php $__env->startSection('title','Register New User'); ?>
<?php $__env->startSection('container'); ?>
<div class="card">
  <div class="card-header">
    Registration of a new User
  </div>
  <div class="card-body">
    <?php if(session("success")!=null): ?>
    <div class="alert alert-success alert-dismissible fade show">
      <h4 class="alert-heading">Completed Successfully</h4>
      <?php echo session("success"); ?>

      <button type="button" class="close" data-dismiss="alert" aria-label="Close">
        <span aria-hidden="true">&times;</span>
      </button>
    </div>
    <?php endif; ?>
    <?php if(session("error")!=null): ?>
    <div class="alert alert-danger alert-dismissible fade show">
      <h4 class="alert-heading">Error</h4>
      <?php echo session("error"); ?>

      <button type="button" class="close" data-dismiss="alert" aria-label="Close">
        <span aria-hidden="true">&times;</span>
      </button>
    </div>
    <?php endif; ?>
    <form id="create_user_form" action="<?php echo e(route("createUser")); ?>" method="post" enctype="multipart/form-data">
      <div class="form-group row">
        <label for="admin_name" class="col-sm-2">Full Name</label>
        <div class="col-sm-10">
          <input type="text" name="name" autofocus id="admin_name" placeholder="Enter Full Name" value="<?php echo e(old('name')); ?>" class="<?php if($errors->has('name')): ?>
            is-invalid
          <?php endif; ?> form-control">
          <?php if($errors->has("name")): ?>
            <?php $__currentLoopData = $errors->get("name"); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $msg): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
              <div style='display:block' class='invalid-feedback'><?php echo e($msg); ?></div>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
          <?php endif; ?>
        </div>
      </div>
      <div class="form-group row">
        <label for="check_uname" class="col-sm-2">Username</label>
        <div class="col-sm-10">
          <input type="text" name="uname" autocomplete="off" id="check_uname" data-action="<?php echo e(route('check_uname')); ?>" placeholder="Enter Username" value="<?php echo e(old('uname')); ?>" class=" <?php if($errors->has('uname')): ?>
            is-invalid
          <?php endif; ?> form-control">
          <?php if($errors->has("uname")): ?>
            <?php $__currentLoopData = $errors->get("uname"); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $msg): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
              <div style='display:block' class='invalid-feedback'><?php echo e($msg); ?></div>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
          <?php endif; ?>
          <div id="loading" class="text-center loadpos" style="display:none">
            <img src="<?php echo e(asset('load.gif')); ?>" alt="" width="30px" height="30px">
          </div>
        </div>
      </div>
      <div class="form-group row">
        <label for="admin_password" class="col-sm-2">Password</label>
        <div class="col-sm-10">
          <input type="password" name="password" id="admin_password" placeholder="Enter Password" value="<?php echo e(old('password')); ?>" class="<?php if($errors->has('password')): ?>
            is-invalid
          <?php endif; ?> form-control">
          <?php if($errors->has("password")): ?>
            <?php $__currentLoopData = $errors->get("password"); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $msg): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
              <div style='display:block' class='invalid-feedback'><?php echo e($msg); ?></div>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
          <?php endif; ?>
        </div>
      </div>
      <div class="form-group row">
        <label for="admin_confirm_password" class="col-sm-2">Confirm Password</label>
        <div class="col-sm-10">
          <input type="password" name="confirm_password" id="admin_confirm_password" placeholder="Re-Enter Password" value="<?php echo e(old('confirm_password')); ?>" class="<?php if($errors->has('confirm_password')): ?>
            is-invalid
          <?php endif; ?> form-control">
          <?php if($errors->has("confirm_password")): ?>
            <?php $__currentLoopData = $errors->get("confirm_password"); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $msg): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
              <div style='display:block' class='invalid-feedback'><?php echo e($msg); ?></div>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
          <?php endif; ?>
        </div>
      </div>
      <div class="form-group row">
        <label for="admin_phone" class="col-sm-2">Phone No.</label>
        <div class="col-sm-10">
          <input type="text" name="phone" id="admin_phone" placeholder="Enter Phone No." value="<?php echo e(old('phone')); ?>" class="<?php if($errors->has('phone')): ?>
            is-invalid
          <?php endif; ?> form-control">
          <?php if($errors->has("phone")): ?>
            <?php $__currentLoopData = $errors->get("phone"); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $msg): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
              <div style='display:block' class='invalid-feedback'><?php echo e($msg); ?></div>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
          <?php endif; ?>
        </div>
      </div>
      <div class="form-group row">
        <label for="admin_role" class="col-sm-2">Role</label>
        <div class="col-sm-10">
          <select name="role" id="admin_role" placeholder="Enter Patient Name" class="<?php if($errors->has('role')): ?>
            is-invalid
          <?php endif; ?> form-control">
          <option value="0" <?php if(old("role")==0): ?> selected <?php endif; ?> >User</option>
          <option value="1" <?php if(old("role")==1): ?> selected <?php endif; ?> >Admin</option>
        </select>
          <?php if($errors->has("role")): ?>
            <?php $__currentLoopData = $errors->get("role"); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $msg): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
              <div style='display:block' class='invalid-feedback'><?php echo e($msg); ?></div>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
          <?php endif; ?>
        </div>
      </div>
      <div class="form-group row">
        <label for="admin_photo" class="col-sm-2">Upload Profile Photo</label>
        <div class="col-sm-10">
          <div class="custom-file">
            <input type="file" class="custom-file-input <?php if($errors->has('photo')): ?>
              is-invalid
            <?php endif; ?>" id="admin_photo" name="photo">
            <label class="custom-file-label" for="admin_photo">Choose file</label>
          </div>
          <?php if($errors->has("photo")): ?>
            <?php $__currentLoopData = $errors->get("photo"); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $msg): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
              <div style='display:block' class='invalid-feedback'><?php echo e($msg); ?></div>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
          <?php endif; ?>
        </div>
      </div>
      <button class="btn btn-home btn-lg submit-btn"><img src="<?php echo e(asset('load.gif')); ?>" alt="" id="loading_button">Create User</button>
      <?php echo csrf_field(); ?>
    </form>
  </div>
</div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layout.master', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>