<?php $__env->startSection('title','Create Patient'); ?>
<?php $__env->startSection('container'); ?>
<div class="card">
  <div class="card-header">
    Create Patient
  </div>
  <div class="card-body">
    <?php if($errors->any()): ?>
      <div class="alert alert-danger alert-dismissible fade show">
        <p>Errors detected during patient creation</p>
        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
    <?php endif; ?>
    <div id="loading" class="text-center" style="display:none">
      <img src="<?php echo e(asset('loading.gif')); ?>" alt="">
    </div>
    <form id="patient-create-form" action="<?php echo e(route('addPatient')); ?>" method="post" enctype="multipart/form-data">
      <div class="form-group row">
        <label for="pname" class="col-sm-2">Patient Name</label>
        <div class="col-sm-10">
          <input type="text" name="pname" autofocus id="pname" placeholder="Enter Patient Name" value="<?php echo e(old('pname')); ?>" class="<?php if($errors->has('pname')): ?>
            is-invalid
          <?php endif; ?> form-control">
          <?php if($errors->has("pname")): ?>
            <?php $__currentLoopData = $errors->get("pname"); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $msg): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
              <div style='display:block' class='invalid-feedback'><?php echo e($msg); ?></div>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
          <?php endif; ?>
        </div>
      </div>
      <div class="form-group row">
        <label class="col-sm-2">Gender</label>
        <div class="col-sm-10">
          <label for="male">
            <input type="radio" name="gender" checked id="male" value="1"> male
          </label>
          <label for="female" id="div-gender">
            <input type="radio" name="gender" <?php if(old('gender')===0): ?> checked <?php endif; ?> id="female" value="0"> female
          </label>
          <?php if($errors->has("gender")): ?>
            <?php $__currentLoopData = $errors->get("gender"); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $msg): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
              <div style='display:block' class='invalid-feedback'><?php echo e($msg); ?></div>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
          <?php endif; ?>
        </div>
      </div>
      <div class="form-group row">
        <label for="dob" class="col-sm-2">Age</label>
        <div class="col-sm-10">
          <input type="text" name="dob" id="dob" placeholder="Enter Age" class="form-control <?php if($errors->has('dob')): ?>
            is-invalid
          <?php endif; ?>" value="<?php echo e(old('dob')); ?>">
          <?php if($errors->has("dob")): ?>
            <?php $__currentLoopData = $errors->get("dob"); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $msg): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
              <div style='display:block' class='invalid-feedback'><?php echo e($msg); ?></div>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
          <?php endif; ?>
        </div>
      </div>
      <div class="form-group row">
        <label for="address" class="col-sm-2">Address</label>
        <div class="col-sm-10">
          <input type="text" name="address" id="address" placeholder="Enter address" class="form-control <?php if($errors->has('address')): ?>
            is-invalid
          <?php endif; ?>" value="<?php echo e(old('address')); ?>">
          <?php if($errors->has("address")): ?>
            <?php $__currentLoopData = $errors->get("address"); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $msg): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
              <div style='display:block' class='invalid-feedback'><?php echo e($msg); ?></div>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
          <?php endif; ?>
        </div>
      </div>
      <div class="form-group row">
        <label for="phone" class="col-sm-2">Phone No.</label>
        <div class="col-sm-10">
          <input type="text" name="phone" id="phone" placeholder="Enter phone number" class="form-control <?php if($errors->has('phone')): ?>
            is-invalid
          <?php endif; ?>" value="<?php echo e(old('phone')); ?>">
          <?php if($errors->has("phone")): ?>
            <?php $__currentLoopData = $errors->get("phone"); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $msg): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
              <div style='display:block' class='invalid-feedback'><?php echo e($msg); ?></div>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
          <?php endif; ?>
        </div>
      </div>
      <div class="form-group row">
        <label for="" class="col-sm-2">Diabetes</label>
        <div class="col-sm-10">
          <label for="d-no">
            <input type="radio" name="diabetes" checked id="d-no" value="0"> No
          </label>
          <label for="d-yes" id="div-diabetes">
            <input type="radio" name="diabetes" id="d-yes" value="1"> Yes
          </label>
          <?php if($errors->has("diabetes")): ?>
            <?php $__currentLoopData = $errors->get("diabetes"); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $msg): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
              <div style='display:block' class='invalid-feedback'><?php echo e($msg); ?></div>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
          <?php endif; ?>
        </div>
      </div>
      <div class="form-group row">
        <label for="" class="col-sm-2">Blood Pressure</label>
        <div class="col-sm-10">
          <label for="b-low">
            <input type="radio" name="blood_pressure" id="b-low" value="low"> Low
          </label>
          <label for="b-normal">
            <input type="radio" name="blood_pressure" checked id="b-normal" value="normal"> Normal
          </label>
          <label for="b-high" id="div_blood_pressure">
            <input type="radio" name="blood_pressure" id="b-high" value="high"> High
          </label>
          <?php if($errors->has("blood_pressure")): ?>
            <?php $__currentLoopData = $errors->get("blood_pressure"); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $msg): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
              <div style='display:block' class='invalid-feedback'><?php echo e($msg); ?></div>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
          <?php endif; ?>
        </div>
      </div>
      <div class="form-group row">
        <label for="medical_compromise" class="col-sm-2">Medical Compromise</label>
        <div class="col-sm-10">
          <textarea height="120px" name="medical_compromise" id="medical_compromise" placeholder="Write the Medical Compromise" class="form-control" value="<?php echo e(old('medical_compromise')); ?>"></textarea>
        </div>
      </div>
      <div class="form-group row">
        <label for="photo" class="col-sm-2">Upload Photo</label>
        <div class="col-sm-10">
          <div class="custom-file">
            <input type="file" class="custom-file-input <?php if($errors->has('photo')): ?>
              is-invalid
            <?php endif; ?>" id="photo" name="photo">
            <label class="custom-file-label" for="photo">Choose file</label>
          </div>
          <?php if($errors->has("photo")): ?>
            <?php $__currentLoopData = $errors->get("photo"); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $msg): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
              <div style='display:block' class='invalid-feedback'><?php echo e($msg); ?></div>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
          <?php endif; ?>
        </div>
      </div>
      <button class="btn btn-home btn-lg submit-btn">Create Patient</button>
      <?php echo csrf_field(); ?>
    </form>
  </div>
</div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layout.master', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>